webpackHotUpdate("static/development/pages/[page].js",{

/***/ "./renderer/plugins/tabs.ts":
/*!**********************************!*\
  !*** ./renderer/plugins/tabs.ts ***!
  \**********************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony default export */ __webpack_exports__["default"] = (function (md) {
  md.core.ruler.push('tabs', function (state) {
    var TABVIEW_OPEN_REGEX = /\[\[tabview]]/;
    var TABVIEW_CLOSE_REGEX = /\[\[\/tabview]]/;
    var TAB_OPEN_REGEX = /\[\[tab\stitle="(.*)"]]/;
    var TAB_OPEN_REGEX_2 = /\[\[tab\s(.*)]]/;
    var TAB_CLOSE_REGEX = /\[\[\/tab]]/;
    var tokens = state.tokens;
    var i = 0;

    while (i < tokens.length - 1) {
      var openToken = tokens[i];
      var token = tokens[i + 1];
      var match = void 0; // <Open>

      if (openToken.type === 'paragraph_open' && token.content.match(TABVIEW_OPEN_REGEX)) {
        var tabviewOpen = new state.Token('tabview_open', 'div', 0);
        tokens.splice(i, 3, tabviewOpen);
      }

      if (openToken.type === 'paragraph_open' && (match = token.content.match(TAB_OPEN_REGEX) || token.content.match(TAB_OPEN_REGEX_2))) {
        var tabOpen = new state.Token('tab_open', 'div', 0);
        tabOpen.content = match[1];
        tokens.splice(i, 3, tabOpen);
      } // <Close>


      if (openToken.type === 'paragraph_open' && token.content.match(TABVIEW_CLOSE_REGEX)) {
        var tabviewClose = new state.Token('tabview_close', 'div', 0);
        tokens.splice(i, 3, tabviewClose);
      }

      if (openToken.type === 'paragraph_open' && token.content.match(TAB_CLOSE_REGEX)) {
        var tabClose = new state.Token('tab_close', 'div', 0);
        tokens.splice(i, 3, tabClose);
      }

      i++;
    }
  });
});
;

/***/ })

})
//# sourceMappingURL=[page].js.d0941619512572788f5a.hot-update.js.map