webpackHotUpdate("static/development/pages/[page].js",{

/***/ "./components/extensions/tabs/tabs.ts":
/*!********************************************!*\
  !*** ./components/extensions/tabs/tabs.ts ***!
  \********************************************/
/*! exports provided: prepareTabsElements, default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "prepareTabsElements", function() { return prepareTabsElements; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return initTabs; });
/* harmony import */ var _babel_runtime_corejs2_core_js_array_from__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime-corejs2/core-js/array/from */ "./node_modules/@babel/runtime-corejs2/core-js/array/from.js");
/* harmony import */ var _babel_runtime_corejs2_core_js_array_from__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_corejs2_core_js_array_from__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _tabs_scss__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./tabs.scss */ "./components/extensions/tabs/tabs.scss");
/* harmony import */ var _tabs_scss__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_tabs_scss__WEBPACK_IMPORTED_MODULE_1__);



function createElementFromHTML(input) {
  var template = document.createElement('template');
  template.innerHTML = input.trim();
  return template.content.firstChild;
}

function generateId() {
  return Math.random().toString(36).substring(2);
}

function prepareTabsElements(rootElement) {
  _babel_runtime_corejs2_core_js_array_from__WEBPACK_IMPORTED_MODULE_0___default()(rootElement.querySelectorAll('.tabs')).forEach(function (element) {
    var idSequence = [];

    var getNextId = function getNextId() {
      var id = generateId();
      idSequence.push(id);
      return id;
    };

    var titleElements = _babel_runtime_corejs2_core_js_array_from__WEBPACK_IMPORTED_MODULE_0___default()(element.querySelectorAll('.tab__title'));

    var titles = titleElements.map(function (e) {
      return e.innerHTML;
    });
    var titlesHtml = '<div class="tabs__titles">';

    for (var i = 0; i < titles.length; i++) {
      titlesHtml += "<div class=\"tabs__title".concat(i === 0 ? ' tabs__title_active' : '', "\" data-tab-id=\"").concat(getNextId(), "\">").concat(titles[i], "</div>");
    }

    titlesHtml += '</div>';
    var titlesBlock = createElementFromHTML(titlesHtml);
    element.prepend(titlesBlock);
    titleElements.map(function (e) {
      return e.remove();
    });

    _babel_runtime_corejs2_core_js_array_from__WEBPACK_IMPORTED_MODULE_0___default()(element.querySelectorAll('.tab')).forEach(function (tabElement, i) {
      tabElement.dataset.tabContentId = idSequence[i];

      if (i === 0) {
        tabElement.classList.add('tab_active');
      }
    });
  });
}
function initTabs(element) {
  element.addEventListener('click', function (event) {
    var target = event.target;

    if (target && _babel_runtime_corejs2_core_js_array_from__WEBPACK_IMPORTED_MODULE_0___default()(target.classList).includes('tabs__title')) {
      var tabsRoot = target.parentElement.parentElement;
      var tabId = target.dataset.tabId;
      var oldActiveTab = tabsRoot.querySelector('.tabs__title_active');

      if (oldActiveTab) {
        var oldTabId = oldActiveTab.dataset.tabId;
        tabsRoot.querySelector(".tabs__title[data-tab-id=\"".concat(oldTabId, "\"]")).classList.remove('tabs__title_active');
        tabsRoot.querySelector(".tab[data-tab-content-id=\"".concat(oldTabId, "\"]")).classList.remove('tab_active');
      }

      target.classList.add('tabs__title_active');
      tabsRoot.querySelector(".tab[data-tab-content-id=\"".concat(tabId, "\"]")).classList.add('tab_active');
    }
  });
  prepareTabsElements(element);
}

/***/ })

})
//# sourceMappingURL=[page].js.601156b3f864157ebecb.hot-update.js.map